IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_167_query]') AND type = 'P')
DROP PROCEDURE [dbo].[order_167_query]
GO
CREATE  procedure order_167_query(
@cmpid int,@branchid int,@userdpid int,@userotid int ,@useruid int ,@bizid int ,@finished int ,@status nvarchar(50),@pagesize int , @pagecount int , @pageobjids varchar(8000),@ord_htbh_min varchar(100), @ord_htbh_max varchar(100),@ord_htmc_min varchar(100), @ord_htmc_max varchar(100),@ord_zfsdz_min datetime,@ord_zfsdz_max datetime,@ord_zfsdq_min datetime,@ord_zfsdq_max datetime,@ord_status_min nvarchar(30), @ord_status_max nvarchar(30)) as begin  
set nocount on  

declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1') 
declare @s1 varchar(8000) 
declare @s2 varchar(100) 
declare @i int 
declare @amount int 
select @amount = @pagecount*@pagesize 
declare @pobjs table(nid int identity(1, 1), ordid bigint) 
set @s1 = @pageobjids 
while (@s1>'') 
begin 
set @i = charindex(',', @s1) 
if (@i>0) 
begin 
set @s2 = substring(@s1,1,@i-1) 
set @s1 = substring(@s1,@i+1,len(@s1)-@i) 
end else  
begin 
set @s2 = @s1 
set @s1 = '' 
end 
insert into @pobjs(ordid) values(convert(bigint,@s2)) 
end 
if (exists (select top 1 * from @pobjs)) 
begin 
select a.* from order_167 a, @pobjs
where ord_id=ordid
order by nid 
select a.* from order_167_users a , @pobjs 
where ordp_ordid=ordid and ordp_cuid=@useruid
return 
end 
if (@status is null or @status = '_none_') set @status = '' 


if (@ord_htbh_min is null or @ord_htbh_min = '_none_') set @ord_htbh_min = '' 
if (@ord_htbh_max is null or @ord_htbh_max = '_none_') set @ord_htbh_max = '' 

if (@ord_htmc_min is null or @ord_htmc_min = '_none_') set @ord_htmc_min = '' 
if (@ord_htmc_max is null or @ord_htmc_max = '_none_') set @ord_htmc_max = '' 


                if (@ord_zfsdz_min is null or @ord_zfsdz_min <= @nonedate) set @ord_zfsdz_min = '1900-01-01' 
                
if (@ord_zfsdz_max is null or @ord_zfsdz_max <= @nonedate) set @ord_zfsdz_max =  '2299-12-30 23:59:59'
else set @ord_zfsdz_max = @ord_zfsdz_max+ '23:59:59'
                


                if (@ord_zfsdq_min is null or @ord_zfsdq_min <= @nonedate) set @ord_zfsdq_min = '1900-01-01' 
                
if (@ord_zfsdq_max is null or @ord_zfsdq_max <= @nonedate) set @ord_zfsdq_max =  '2299-12-30 23:59:59'
else set @ord_zfsdq_max = @ord_zfsdq_max+ '23:59:59'
                

if (@ord_status_min is null or @ord_status_min = '_none_') set @ord_status_min = '' 
if (@ord_status_max is null or @ord_status_max = '_none_') set @ord_status_max = '' 

if @ord_htbh_min>'' 
begin 
if (charindex('%',@ord_htbh_min) = 0 and @ord_htbh_min!='_empty_') 
 begin
set @ord_htbh_min = '%'+@ord_htbh_min+'%';
 end else if (@ord_htbh_min='_empty_') set @ord_htbh_min='' 
end else
begin 
set @ord_htbh_min = '%' 
end
if @ord_htbh_max>'' 
begin 
if (charindex('%', @ord_htbh_max) = 0 and @ord_htbh_max!='_empty_') 
begin
set@ord_htbh_max = '%'+@ord_htbh_max+'%';
 end else if (@ord_htbh_max='_empty_') set @ord_htbh_max='' 
end else
begin 
set @ord_htbh_max = '%' 
end

if @ord_htmc_min>'' 
begin 
if (charindex('%',@ord_htmc_min) = 0 and @ord_htmc_min!='_empty_') 
 begin
set @ord_htmc_min = '%'+@ord_htmc_min+'%';
 end else if (@ord_htmc_min='_empty_') set @ord_htmc_min='' 
end else
begin 
set @ord_htmc_min = '%' 
end
if @ord_htmc_max>'' 
begin 
if (charindex('%', @ord_htmc_max) = 0 and @ord_htmc_max!='_empty_') 
begin
set@ord_htmc_max = '%'+@ord_htmc_max+'%';
 end else if (@ord_htmc_max='_empty_') set @ord_htmc_max='' 
end else
begin 
set @ord_htmc_max = '%' 
end

if @ord_status_min>'' 
begin 
if (charindex('%',@ord_status_min) = 0 and @ord_status_min!='_empty_') 
 begin
set @ord_status_min = '%'+@ord_status_min+'%';
 end else if (@ord_status_min='_empty_') set @ord_status_min='' 
end else
begin 
set @ord_status_min = '%' 
end
if @ord_status_max>'' 
begin 
if (charindex('%', @ord_status_max) = 0 and @ord_status_max!='_empty_') 
begin
set@ord_status_max = '%'+@ord_status_max+'%';
 end else if (@ord_status_max='_empty_') set @ord_status_max='' 
end else
begin 
set @ord_status_max = '%' 
end
 
    
if (@finished = -11)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_167 a,order_167_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished > 0 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished > 0
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_167 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished > 0
order by nid 
-- 返回权限 
select a.* from order_167_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -10)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_167 a,order_167_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_167 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
order by nid 
-- 返回权限 
select a.* from order_167_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 2)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_167 a,order_167_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished>=2 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished>=2 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_167 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished>=2 
order by nid 
-- 返回权限 
select a.* from order_167_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_167 a,order_167_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ordp_ordid=a.ord_id 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_finished<=1)
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_finished<=1)
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_167 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_finished<=1) 
order by nid 
-- 返回权限 
select a.* from order_167_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_167 a,order_167_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_finished=-1 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ord_finished=-1 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_167 a,order_167_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_htbh like @ord_htbh_min 
and ord_htbh like @ord_htbh_max 
and ord_htmc like @ord_htmc_min 
and ord_htmc like @ord_htmc_max 
and ord_zfsdz>=@ord_zfsdz_min 
and ord_zfsdz<=@ord_zfsdz_max 
and ord_zfsdq>=@ord_zfsdq_min 
and ord_zfsdq<=@ord_zfsdq_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
order by ord_date desc,ord_htbh,ord_htmc,ord_zfsdz desc,ord_zfsdq desc,ord_status
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_167 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and ord_finished=-1 
order by nid 
-- 返回权限 
select a.* from order_167_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end 
set nocount off end